Bug 728224 - configure can't find qemu on PPC
Summary: configure can't find qemu on PPC
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libgssapi
Version: 16
Hardware: powerpc
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F16NTHppc
TreeView+ depends on / blocked
 
Reported: 2011-08-04 12:53 UTC by Karsten Hopp
Modified: 2013-02-13 21:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 21:37:54 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2011-08-04 12:53:43 UTC
Description of problem:
checking for qemu-kvm... no
checking for qemu-system-ppc... no
checking for qemu... no
configure: error: qemu must be installed

root.log shows that 
qemu-img-0.15.0-0.2.20110718525e3df.fc16                                
qemu-kvm-0.15.0-0.2.20110718525e3df.fc16 got installed into the buildroot.


Version-Release number of selected component (if applicable):
libguestfs-1.12.1-4.fc16

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f16 libguestfs-1.12.1-4.fc16.src.rpm
2.
3.
  
Actual results:
https://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=267574

Comment 1 Richard W.M. Jones 2011-08-04 13:10:56 UTC
(In reply to comment #0)
> Description of problem:
> checking for qemu-kvm... no
> checking for qemu-system-ppc... no
> checking for qemu... no
> configure: error: qemu must be installed
> 
> root.log shows that 
> qemu-img-0.15.0-0.2.20110718525e3df.fc16                                
> qemu-kvm-0.15.0-0.2.20110718525e3df.fc16 got installed into the buildroot.
> 
> 
> Version-Release number of selected component (if applicable):
> libguestfs-1.12.1-4.fc16
> 
> How reproducible:
> always
> 
> Steps to Reproduce:
> 1. ppc-koji build --scratch f16 libguestfs-1.12.1-4.fc16.src.rpm
> 2.
> 3.
> 
> Actual results:
> https://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=267574

This link gives me:
Secure Connection Failed
An error occurred during a connection to ppc.koji.fedoraproject.org.
SSL peer was unable to negotiate an acceptable set of security parameters.
(Error code: ssl_error_handshake_failure_alert)

(This is with Firefox 5.0)

In any case, qemu 0.15 is seriously broken on x86-64, and
might well also be broken on ppc.  I don't have access to
any ppc machines, so I have some questions instead:

Does qemu-kvm contain a binary?  What is it called?

Does /usr/bin/<name_of_binary> -help work?

Comment 2 Karsten Hopp 2011-08-04 16:57:58 UTC
try http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=267574 , that should work.

qemu-kvm contains no files, that's similar to the other archs, p.e.
http://koji.fedoraproject.org/koji/rpminfo?rpmID=2621155

qemu-img contains two binaries and a man page, both binaries show some usage output with the parameter --help

Comment 3 Richard W.M. Jones 2011-08-04 17:07:53 UTC
So there's no KVM.  We need to change the package
to conditionally depend on QEMU instead of KVM,
something like:

%ifarch %{ix86} x86_64
BuildRequires: qemu-kvm >= 0.10-7
%else
BuildRequires: qemu-system-%{_build_arch}
%endif

and later, remove the fallback to qemu (which is
wrong):

./configure
[...]
--with-qemu="qemu-kvm qemu-system-%{_build_arch}"
[...]

Obviously not tested, but something along
those lines should work ...

I think previously we were hampered by the fact
that qemu-system-ppc wouldn't actually boot our
own kernel, so nothing worked at all.  Hopefully
this is fixed in PPC, but it might require further
changes to libguestfs or fixes to QEMU.

Comment 4 Brent Baude 2012-01-13 19:21:48 UTC
Ben,

Can you comment here?

Comment 5 Benjamin Herrenschmidt 2012-01-13 20:57:01 UTC
I don't know about what qemu is packaged with fedora, but with the work happening on KVM, if you get our up to date qemu (or even the public one but that won't support everything) things should work.

However, it will be qemu-system-ppc64 (note the 64 at the end) and you'll have to start it with -M pseries to be able to boot your kernel I suspect (the G5 machine emulation is still the default and is quite flawky).

Cheers,
Ben.

Comment 6 Fedora End Of Life 2013-01-16 17:12:15 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Fedora End Of Life 2013-02-13 21:37:59 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.